Subject: Re: [PATCH 1/2] virtio_net: checksum offloading handling fix

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Jun 2024 08:08:02 -0700

On Wed, 19 Jun 2024 10:02:58 +0800 Heng Qi wrote:
> > > Currently we do not allow RXCUSM to be disabled.  
> > 
> > You don't have to disable checksuming in the device.  
> 
> Yes, it is up to the device itself to decide whether to validate checksum.
> What I mean is that we don't allow users to disable the driver's
> NETIF_F_RXCSUM flag.

I understand. What I'm suggesting is that you send a follow up patch
that allows it.